// var binary = require('node-pre-gyp');
var path = require('path');
// var binding_path = binary.find(path.resolve(path.join(__dirname,'../package.json')));
var os = require('os');
var platform = os.platform();
var arch = os.arch();
console.log(`loading sqlite3 on platform ${platform} arch ${arch}`)
var binding = require(path.resolve(__dirname, 'binding', `napi-v3-${platform}-${arch}`, 'node_sqlite3.node'));
module.exports = exports = binding;
